/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <hal/nrf_gpio.h>
#include <hal/nrf_grtc.h>
#include <haly/nrfy_grtc.h>
#include <nrfx_grtc.h>

#include <zephyr/drivers/gpio.h>
#include <zephyr/kernel.h>
#include <zephyr/logging/log.h>

LOG_MODULE_REGISTER(main);

#define PIN_NUM NRF_DT_GPIOS_TO_PSEL(DT_ALIAS(toggler), gpios)

int main(void)
{
	/* Give control of p1.08 to GRTC */
	nrf_gpio_pin_control_select(PIN_NUM, NRF_GPIO_PIN_SEL_GRTC);

	/* Set divider to 500 (250 * 2), so we get 32000 kHz out */
	uint8_t grtc_div = 250;
	nrfy_grtc_clkout_divider_set(NRF_GRTC, grtc_div);

	nrfy_grtc_clkout_set(NRF_GRTC, NRF_GRTC_CLKOUT_FAST, true);
	k_sleep(K_FOREVER);
	return 0;
}
